import 'package:farmer_client/widgets/DefaultButton.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class AddressList extends StatefulWidget {
  const AddressList({Key? key}) : super(key: key);

  @override
  _AddressList createState() => _AddressList();
}

class _AddressList extends State<AddressList> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        elevation: 0,
        centerTitle: true,
        backgroundColor: Colors.white,
        title: Text(
          '地址管理',
          style: TextStyle(
              color: Colors.black,
              fontSize: 17.sp,
              letterSpacing: 2,
              fontWeight: FontWeight.bold),
        ),
      ),
      body: Container(
        padding: EdgeInsets.all(15.w),
        child: Column(
          children: [
            Text('地址'),
            DefaultButton(
              color: Color(0xffffffff),
              backColor: Color(0xFFFF703B),
              width: 345.w,
              height: 49.h,
              text: '+新增收货地址',
              onPressed: (){},
              margin: EdgeInsets.all(0),
              fontSize: 20.sp,
              radius: 24.5.w,
            ),
          ],
        ),
      ),
    );
  }
}
